Subject: mv: deletes src file on error
From: Frank Busse <[email-masked]>
To: [email-masked]
Date: Fri, 26 Nov 2021 11:07:09 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Given two files: an old version of "foo" on a mounted USB stick:

/mnt/dst/foo

and a new version of "foo" in /src/foo on the system's hard drive. When
I do:

sudo mv /src/foo /mnt/dst/foo

I get the following error:

mv: failed to preserve ownership for '/mnt/dst/foo': Operation not permitted

The error is fine but mv deletes /src/foo and keeps mnt/dst/foo,
meaning that the data of the new file is lost. Is this the intended
behaviour? I'm using Coreutils 9.0.

Kind regards,

Frank